import React from 'react';
import type { SwippableModalProps, SwippableModalRefType } from './types';
export declare const modalRef: React.RefObject<SwippableModalRefType>;
/**
 * functions are used for show and hide modal directly
 */
export declare const showModal: () => Promise<void> | undefined;
export declare const hideModal: () => Promise<void> | undefined;
export declare const panRef: React.RefObject<unknown>;
declare const SwippableModal: React.ForwardRefExoticComponent<Partial<SwippableModalProps> & import("react-native").ModalBaseProps & import("react-native").ModalPropsIOS & import("react-native").ModalPropsAndroid & import("react-native").ViewProps & React.RefAttributes<SwippableModalRefType>>;
export default SwippableModal;
